POST api/contractapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ContractViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| washing_processes | Collection of WashingProcessViewModel |
None. |
|
| active | boolean |
Required |
|
| certificate_type_id | globally unique identifier |
Required |
|
| code | integer |
None. |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| internal_reference | string |
String length: inclusive between 0 and 50 |
|
| item_wash_max | integer |
None. |
|
| language_code | string |
Required String length: inclusive between 0 and 10 |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| packaging_type_id | globally unique identifier |
Required |
|
| packing_type_id | globally unique identifier |
Required |
|
| particles_control | boolean |
Required |
|
| peremption_month | integer |
None. |
|
| peremption_print_cleanroom | boolean |
Required |
|
| peremption_print_date | boolean |
Required |
|
| peremption_print_expedition | boolean |
Required |
|
| permanent_management | boolean |
Required |
|
| pool_id | globally unique identifier |
None. |
|
| remark | string |
None. |
|
| site_customer_id | globally unique identifier |
Required |
|
| sorting_type_id | globally unique identifier |
Required |
|
| type | string |
Required String length: inclusive between 0 and 1 |
Request Formats
application/json, text/json
Sample:
{
"selected_nameplate_id": "105feb38-a6df-41d9-a7c0-dccd064600a3",
"selected_sticker_id": "c2f1a987-6b30-428f-ae2e-ebb77cb42c7e",
"washing_processes": [
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "4e2bf379-f6c8-4ac1-896c-9a998c53c8ca",
"site_id": "adc9f5e9-6871-4b93-8613-2c35adf0fa04"
},
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "4e2bf379-f6c8-4ac1-896c-9a998c53c8ca",
"site_id": "adc9f5e9-6871-4b93-8613-2c35adf0fa04"
}
],
"active": true,
"certificate_type_id": "24f9af93-321a-4115-b542-bccb6612ec9a",
"code": 1,
"delay_between_scans": 1,
"id": "007ac854-be44-49c0-9a0a-2f7fc18b5919",
"internal_reference": "sample string 4",
"item_wash_max": 1,
"language_code": "sample string 5",
"name": "sample string 6",
"packaging_type_id": "5b4d828f-61b1-4217-93d6-317e66da8216",
"packing_type_id": "b5ed8612-1388-41f0-ba5a-bde86cc2b5fb",
"particles_control": true,
"peremption_month": 1,
"peremption_print_cleanroom": true,
"peremption_print_date": true,
"peremption_print_expedition": true,
"permanent_management": true,
"pool_id": "2caf7fdc-892d-427d-bc0b-f84aa922408b",
"remark": "sample string 14",
"site_customer_id": "ebe683bb-496b-48d3-b869-4a1843174aea",
"sorting_type_id": "f90346e5-41d9-459a-b5bd-bc44e75edff3",
"type": "sample string 17"
}
application/xml, text/xml
Sample:
<contract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<certificate_type_id>24f9af93-321a-4115-b542-bccb6612ec9a</certificate_type_id>
<code>1</code>
<delay_between_scans>1</delay_between_scans>
<id>007ac854-be44-49c0-9a0a-2f7fc18b5919</id>
<internal_reference>sample string 4</internal_reference>
<item_wash_max>1</item_wash_max>
<language_code>sample string 5</language_code>
<name>sample string 6</name>
<packaging_type_id>5b4d828f-61b1-4217-93d6-317e66da8216</packaging_type_id>
<packing_type_id>b5ed8612-1388-41f0-ba5a-bde86cc2b5fb</packing_type_id>
<particles_control>true</particles_control>
<peremption_month>1</peremption_month>
<peremption_print_cleanroom>true</peremption_print_cleanroom>
<peremption_print_date>true</peremption_print_date>
<peremption_print_expedition>true</peremption_print_expedition>
<permanent_management>true</permanent_management>
<pool_id>2caf7fdc-892d-427d-bc0b-f84aa922408b</pool_id>
<remark>sample string 14</remark>
<site_customer_id>ebe683bb-496b-48d3-b869-4a1843174aea</site_customer_id>
<sorting_type_id>f90346e5-41d9-459a-b5bd-bc44e75edff3</sorting_type_id>
<type>sample string 17</type>
<selected_nameplate_id>105feb38-a6df-41d9-a7c0-dccd064600a3</selected_nameplate_id>
<selected_sticker_id>c2f1a987-6b30-428f-ae2e-ebb77cb42c7e</selected_sticker_id>
<washing_processes>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>4e2bf379-f6c8-4ac1-896c-9a998c53c8ca</id>
<site_id>adc9f5e9-6871-4b93-8613-2c35adf0fa04</site_id>
<descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value>sample string 2</d4p1:Value>
</d4p1:KeyValueOfstringstring>
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value>sample string 4</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>4e2bf379-f6c8-4ac1-896c-9a998c53c8ca</id>
<site_id>adc9f5e9-6871-4b93-8613-2c35adf0fa04</site_id>
<descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value>sample string 2</d4p1:Value>
</d4p1:KeyValueOfstringstring>
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value>sample string 4</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
</washing_processes>
</contract>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"4b50fe9f-c9d4-4ddb-bc6d-77f8cbadc9c9"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">4b50fe9f-c9d4-4ddb-bc6d-77f8cbadc9c9</guid>